Package org.apache.aries.jax.rs.shiro.authz.impl

## Class ShiroAuthorizationFeature

- java.lang.Object
- - org.apache.aries.jax.rs.shiro.authz.impl.ShiroAuthorizationFeature

All Implemented Interfaces:
  `javax.ws.rs.core.Feature`

    @Capability(attribute={"objectClass:List<String>=\'javax.ws.rs.core.Feature\'","osgi.jaxrs.name=aries.shiro.authz"},
                namespace="osgi.service")
    @RequireJaxrsWhiteboard
    public class ShiroAuthorizationFeature
    extends Object
    implements javax.ws.rs.core.Feature

This type mirrors `ShiroFeature`, by registering an `ExceptionMapper`, `SubjectPrincipalRequestFilter` and `ShiroAnnotationFilterFeature`.

We cannot use the `ShiroFeature` directly because several of the extension types it registers are also used to enable authentication, and it is not allowed to register the same extension twice. Also the ShiroFeature does not make correct use of priorities when registering. This Feature therefore:

- Avoids duplicate registrations with extension types that are also used in authentication.
- Uses priorities to indicate that these are authorization extensions

### Constructor Summary

Constructors
`ShiroAuthorizationFeature()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `configure​(javax.ws.rs.core.FeatureContext fc)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShiroAuthorizationFeature

    public ShiroAuthorizationFeature()

### Method Detail

#### configure

    public boolean configure​(javax.ws.rs.core.FeatureContext fc)

Specified by:
  `configure` in interface `javax.ws.rs.core.Feature`